Bug 1416187 - [abrt] kf5-kinit: KCrash::defaultCrashHandler(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: KCrash::defaultCrashHandler(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:25f61c1609f163aa77790252457...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 19:22 UTC by Peter Gervase
Modified: 2018-05-29 11:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.45 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: cgroup (177 bytes, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: core_backtrace (2.91 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: dso_list (26.12 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: environ (5.61 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: maps (110.34 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: mountinfo (3.26 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: open_fds (185 bytes, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-24 19:22 UTC, Peter Gervase
no flags Details

Description Peter Gervase 2017-01-24 19:22:24 UTC
Description of problem:
I had a number of programs open - firefox, freecad, a number of tabs in konsole, ... I don't remember what I did but all of a suddent my monitors went black and I had to login again to kde. 

Version-Release number of selected component:
kf5-kinit-5.29.0-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        'kded5 [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kdeinit5
global_pid:     2592
kernel:         4.10.0-0.rc4.git2.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1413273

Comment 1 Peter Gervase 2017-01-24 19:22:32 UTC
Created attachment 1244038 [details]
File: backtrace

Comment 2 Peter Gervase 2017-01-24 19:22:33 UTC
Created attachment 1244039 [details]
File: cgroup

Comment 3 Peter Gervase 2017-01-24 19:22:35 UTC
Created attachment 1244040 [details]
File: core_backtrace

Comment 4 Peter Gervase 2017-01-24 19:22:36 UTC
Created attachment 1244041 [details]
File: dso_list

Comment 5 Peter Gervase 2017-01-24 19:22:38 UTC
Created attachment 1244042 [details]
File: environ

Comment 6 Peter Gervase 2017-01-24 19:22:39 UTC
Created attachment 1244043 [details]
File: limits

Comment 7 Peter Gervase 2017-01-24 19:22:41 UTC
Created attachment 1244044 [details]
File: maps

Comment 8 Peter Gervase 2017-01-24 19:22:43 UTC
Created attachment 1244045 [details]
File: mountinfo

Comment 9 Peter Gervase 2017-01-24 19:22:44 UTC
Created attachment 1244046 [details]
File: namespaces

Comment 10 Peter Gervase 2017-01-24 19:22:45 UTC
Created attachment 1244047 [details]
File: open_fds

Comment 11 Peter Gervase 2017-01-24 19:22:46 UTC
Created attachment 1244048 [details]
File: proc_pid_status

Comment 12 Peter Gervase 2017-01-24 19:22:48 UTC
Created attachment 1244049 [details]
File: var_log_messages

Comment 13 Peter Gervase 2017-01-24 19:31:27 UTC
:( I had my above description and then edited it from the next screen to add a little more, but that didn't get saved. I added that once I got logged back in, there were a number of programs that were reported as crashed. From top to bottom:
xorg-x11-drv-intel (report is greyed out)
kf5-init 
kf5-init (again)
plasma-workspace
kdepim-runtime
xorg-x11-drv-intel (report is not greyed out)
plasma-desktop
kdepim-runtime (again)
kactivitymanagerd
kdepim-runtime (again)

Comment 14 Fedora End Of Life 2017-02-28 11:02:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 15 Fedora End Of Life 2018-05-03 08:09:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:23:03 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.